CREATE VIEW [C6StagingPeriodico].[vListaClientiTrimestrale_anag_pb_20190307]
AS
SELECT
appo.Rete
,appo.Cod_Agente as [Codice Agente]
,(CASE
	when anag.id_promotore is null then '' 
	else
	anag.cognome+' '+anag.nome 
	END) as [Nominativo]
,appo.Cod_Fiscale as [Codice Fiscale]
,appo.CodiceContratto as [Codice Contratto]
,isnull(appo.FREQ_MONITORAGGIO, 'T') as [Freq Monitoraggio]
,appo.FREQ_DIAGNOSI as [Freq Diagnosi]
,CONVERT(varchar(8), appo.Data_FineAvanzato, 112) as [Data Revoca]
,appo.TIP_CONTRATTO as [Tipo Contratto]
,appo.TIP_RIATTIVAZIONE as [Tipo Riattivazione]
FROM
C6StagingPERIODICO.APPO_CONTRATTI appo
left join 
[C6MartPeriodico].[ANAG_PROMOTORI] anag
on appo.rete=anag.rete and appo.Cod_Agente=anag.id_promotore